//
//  ShardokAction.cpp
//  eagle0
//
//  Created by Dan Crosby on 11/30/14.
//  Copyright (c) 2014 none. All rights reserved.
//

#include "ShardokAction.hpp"

namespace shardok {

using std::vector;

auto ShardokAction::Execute(
        const GameStateW& currentState,
        const std::shared_ptr<RandomGenerator>& generator) const -> vector<ActionResult> {
    vector<ActionResult> results = InternalExecute(currentState, generator);

    return results;
}

auto ShardokAction::ExecuteWithRoll(
        const GameStateW& currentState,
        const std::shared_ptr<RandomGenerator>& generator,
        const std::optional<int32_t> roll) const -> vector<ActionResult> {
    vector<ActionResult> results = InternalExecuteWithRoll(currentState, generator, roll);

    return results;
}

}  // namespace shardok